#
# spec file for package python-appdirs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-appdirs
Version:        1.4.3
Release:        lp152.3.2
Summary:        A small Python module for determining platform-specific dirs
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/ActiveState/appdirs
Source:         https://files.pythonhosted.org/packages/source/a/appdirs/appdirs-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
``appdirs`` will
help you choose an appropriate:

- user data dir (``user_data_dir``)
- user cache dir (``user_cache_dir``)
- site data dir (``site_data_dir``)
- user log dir (``user_log_dir``)

%prep
%setup -q -n appdirs-%{version}

# strip shebang
sed -r -i '1s/^#!.*$//' appdirs.py

%build
%python_build

%install
%python_install
# fix up egg-info because distutils is bad and should feel bad
%{python_expand rm %{buildroot}%{$python_sitelib}/*.egg-info
cp -r appdirs.egg-info %{buildroot}%{$python_sitelib}/appdirs-%{version}-py%{$python_version}.egg-info
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE.txt README.rst
%pycache_only %{python_sitelib}/__pycache__/*
%{python_sitelib}/appdirs.py*
%{python_sitelib}/appdirs-%{version}-py%{python_version}.egg-info

%changelog
* Tue Aug  8 2017 tbechtold@suse.com
- update to 1.4.3:
  - [PR #76] Python 3.6 invalid escape sequence deprecation fixes
  - Fix for Python 3.6 support
  - [PR #84] Allow installing without setuptools
  - [PR #86] Fix string delimiters in setup.py description
  - Add Python 3.6 support
- drop desetuptoolize.patch . no longer needed.
* Thu Feb 23 2017 jmatejek@suse.com
- update for single-spec
- desetuptoolize.patch : switch from setuptools to distutils.core
  for installation, as this is now a setuptools dependency
- ensure egg-info is a directory (distutils would install it as file)
- update to 1.4.1
  * [issue 55] make appname optional
* Wed Jun  3 2015 tbechtold@suse.com
- update to 1.4.0:
  - [PR #42] AppAuthor is now optional on Windows
  - [issue 41] Support Jython on Windows, Mac, and Unix-like platforms. Windows
    support requires `JNA <https://github.com/twall/jna>`_.
  - [PR #44] Fix incorrect behaviour of the site_config_dir method
  - [Unix, issue 16] Conform to XDG standard, instead of breaking it for
    everybody
  - [Unix] Removes gratuitous case mangling of the case, since \*nix-es are
    usually case sensitive, so mangling is not wise
  - [Unix] Fixes the uterly wrong behaviour in ``site_data_dir``, return result
    based on XDG_DATA_DIRS and make room for respecting the standard which
    specifies XDG_DATA_DIRS is a multiple-value variable
  - [Issue 6] Add ``*_config_dir`` which are distinct on nix-es, according to
    XDG specs; on Windows and Mac return the corresponding ``*_data_dir``
- Remove unzip as BuildRequires. tar.gz file now provided and used
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
